#INCLUDE "dislin.bi"

DIM AS STRING ctit = "Symbols"
DIM AS INTEGER i, nl, ny, nxp
DIM AS SINGLE v

Dislin.setpag ("da4p")
Dislin.metafl ("cons")

Dislin.disini ()
Dislin.pagera ()
Dislin.hwfont ()

Dislin.height (60)
nl = Dislin.nlmess (ctit)
Dislin.messag (ctit, (2100 - nl)/2, 200)

Dislin.height (50)
Dislin.hsymbl (120)

ny = 150
FOR i = 0 TO 23
  IF (i MOD 4) = 0 THEN
    ny += 400
    nxp = 550
  ELSE
    nxp += 350
  END IF
  v = i
  nl = Dislin.nlnumb (v, -1)
  Dislin.number (v, -1, nxp - nl/2, ny + 150)
  Dislin.symbol (i, nxp, ny)
NEXT i
Dislin.disfin ()
END

